Subject: bug#46722: test-map-into fails

From: dick <[email-masked]>
Date: Wed, 05 Jan 2022 13:59:09 -0500

> So the underlying bug only appears if either the hash-table is rehashed
> or the new `sxhash-equal` value happens to the same as the old one.

I can't say I understand this, but I'm contented if map-tests.el stops flapping.

> The benefit of the `method-cache` OTOH should be very significant
> since without it we'd have to recompute the effective method at every
> call.

I don't get it.  This assumes `method-cache` persists between successive
calls to the byte-compiled closure... but `method-cache` is clearly let'ted.